/* *** DIAGRAMM *** */
.eventkatalog_diagramm a{
	text-decoration: none;
}

/* --- DIAGRAMM --> Header --- */
.eventkatalog_diagramm .header{
	margin-bottom: 5px;
}
	.eventkatalog_diagramm .header span.dgm_col{
		font-size: 16px;
		line-height: 10px;
		color: #FFFFFF;
		text-transform: uppercase;
		display: none;
		padding: 10px 10px;
		background-color: #000000;
	}
	.eventkatalog_diagramm .header span.dgm_col:nth-child(1){
		display: block;
	}

/* --- DIAGRAMM --> Content --- */
.eventkatalog_diagramm .content .dgm_row{
	line-height: inherit !important;
	margin-bottom: 20px;
}
	.eventkatalog_diagramm .content .dgm_row .dgm_inner_row{
		overflow: hidden;
	}
	.eventkatalog_diagramm .content .dgm_row[data-kw]:before{
		content: "KW " attr(data-kw);
		color: #ECEDED;
		display: block;
		padding: 0px 10px;
		background-color: #000000;
	}
	.eventkatalog_diagramm.en .content .dgm_row[data-kw]:before{
		content: "Week " attr(data-kw);
	}
	.eventkatalog_diagramm .content .dgm_row .dgm_col{
		line-height: 28px;
		float: left;
		margin-top: 3px;
		padding: 0px 10px;
		width: calc(50% - 3px);
		height: 30px;
	}
	.eventkatalog_diagramm .content .dgm_row .dgm_date{
		color: #FFFFFF;
		float: left;
		margin-right: 3px;
		width: 50%;
		background-color: #000000;
	}
	.eventkatalog_diagramm .content .dgm_row .dgm_empty{
		display: none;
	}

.eventkatalog_diagramm .content .dgm_row [class*='dgm_tag_']{
	cursor: pointer; 
	border: 1px solid;
	-webkit-transition: all 0.4s ease-in-out;
	-moz-transition: all 0.4s ease-in-out;
	-o-transition: all 0.4s ease-in-out;
	transition: all 0.4s ease-in-out;
}

.eventkatalog_diagramm .content .dgm_row [data-type='1']:hover {border:1px solid #BF1E23; color: #333; background-color: #FFF;}
.eventkatalog_diagramm .content .dgm_row [data-type='2']:hover {border:1px solid #BF1E23; color: #333; background-color: #FFF;}
.eventkatalog_diagramm .content .dgm_row [data-type='3']:hover {border:1px solid #BF1E23; color: #333; background-color: #FFF;}
.eventkatalog_diagramm .content .dgm_row [data-type='4']:hover {border:1px solid #ffa530; color: #333; background-color: #FFF;}
.eventkatalog_diagramm .content .dgm_row [data-type='5']:hover {border:1px solid #ffa530; color: #333; background-color: #FFF;}
.eventkatalog_diagramm .content .dgm_row [data-type='6']:hover {border:1px solid #ED028C; color: #333; background-color: #FFF;}

.eventkatalog_diagramm .content .dgm_row [data-type='1']:hover:before {color:  #BF1E23;}
.eventkatalog_diagramm .content .dgm_row [data-type='2']:hover:before {color:  #BF1E23;}
.eventkatalog_diagramm .content .dgm_row [data-type='3']:hover:before {color:  #BF1E23;}
.eventkatalog_diagramm .content .dgm_row [data-type='4']:hover:before {color:  #ffa530;}
.eventkatalog_diagramm .content .dgm_row [data-type='5']:hover:before {color:  #ffa530;}
.eventkatalog_diagramm .content .dgm_row [data-type='6']:hover:before {color:  #ED028C;}

.eventkatalog_diagramm .content .dgm_row [data-type='1'] {background-color: #BF1E23; color: #FFF; border:1px solid #BF1E23;}
.eventkatalog_diagramm .content .dgm_row [data-type='2'] {background-color: #BF1E23; color: #FFF; border:1px solid #BF1E23;}
.eventkatalog_diagramm .content .dgm_row [data-type='3'] {background-color: #BF1E23; color: #FFF; border:1px solid #BF1E23;}
.eventkatalog_diagramm .content .dgm_row [data-type='4'] {background-color: #ffa530; color: #FFF; border:1px solid #ffa530;}
.eventkatalog_diagramm .content .dgm_row [data-type='5'] {background-color: #ffa530; color: #FFF; border:1px solid #ffa530;}
.eventkatalog_diagramm .content .dgm_row [data-type='6'] {background-color: #ED028C; color: #FFF; border:1px solid #ED028C;}

.eventkatalog_diagramm .content .dgm_row a:hover {border:1px solid #878787 !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Training']:hover {border:1px solid #41a62a !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Seminare']:hover {border:1px solid #c6c6c6 !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Webinar']:hover {border:1px solid #92c56e !important;}

.eventkatalog_diagramm .content .dgm_row a:hover:before {color:  #878787 !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Training']:hover:before {color:  #41a62a !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Seminare']:hover:before {color:  #c6c6c6 !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Webinar']:hover:before {color:  #92c56e !important;}

.eventkatalog_diagramm .content .dgm_row a {background-color: #878787 !important; border:1px solid #878787 !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Training'] {background-color: #41a62a !important; border:1px solid #41a62a !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Seminare'] {background-color: #c6c6c6 !important; border:1px solid #c6c6c6 !important;}
.eventkatalog_diagramm .content .dgm_row [data-kategorie='Webinar'] {background-color: #92c56e !important; border:1px solid #92c56e !important;}


.eventkatalog_diagramm .content .dgm_row [data-booked='true']{
	background-color: #666;
	background-image: url("https://www.transparenttextures.com/patterns/fabric-of-squares.png");
	/*color: #CCC; geändert auf weiß 10.05.2019 maternes*/ 
	color: #fff;
	border-color: transparent;
	cursor: default;
}
.eventkatalog_diagramm .content .dgm_row [data-booked='true'][data-kategorie='Seminare']{
	color: #FFFFFF;
}
.eventkatalog_diagramm .content .dgm_row [data-booked='true']:hover{
	border-color: #BF1E23;
	/*color: #BF1E23; geändert auf #333 10.05.2019*/
	color: #333;
}
.eventkatalog_diagramm .content .dgm_row [data-booked='true']:hover:before{
	display: none;
}


/* *** TOOLTIP *** */
.tooltip.in{
	opacity: 1;
}
	.tooltip-inner{
		padding: 10px 15px;
		color: #fff;
		font-weight: bold;
		max-width: none;
		border-radius: 0;
		background:#878787;
	}
	.tooltip.top .tooltip-arrow{
		border-top-color:#878787;
	}


/* *** LEGENDE *** */
.eventkatalog_legende{
	margin-top: 40px;
	color: #FFFFFF;
}
	.eventkatalog_legende > div{
		margin-bottom: 1px;
	}
	.eventkatalog_legende > div.legend_seminare{
		padding: 4px 0px 2px 0px;
	}
	.eventkatalog_legende > div.legend_events{
		padding: 2px 0px;
	}
	.eventkatalog_legende div.legend_webinare{
		padding-top: 4px;
	}
	.eventkatalog_legende .t{
		background-color: #41a62a;
		padding:0px 5px;
		margin-bottom: 1px;
	}
	.eventkatalog_legende .s{
		background-color: #c6c6c6;
		padding:0px 5px;
		color: #fff;
		margin-bottom: 1px;
	}
	.eventkatalog_legende .e{
		background-color: #878787;
		padding:0px 5px;
		margin-bottom: 1px;
	}
	.eventkatalog_legende .w{
		background-color: #92c56e;
		padding: 0px 5px;
		margin-bottom: 1px;
	}


@media only screen and (min-width: 992px){
	/* *** DIAGRAMM *** */
	.eventkatalog_diagramm{
		overflow: hidden;
	}

	/* --- DIAGRAMM --> Header --- */
	.eventkatalog_diagramm .header{
		overflow: hidden;
		margin-bottom: 0;
	}
		.eventkatalog_diagramm .header span.dgm_col{
			font-family:"Source Sans Pro", sans-serif;
			font-weight: normal;
			line-height: 10px;
			text-align: center;
			display: inline-block;
			float: left;
			margin-right: 3px;
		}
		.eventkatalog_diagramm .header span.dgm_col:nth-child(1){
			width: calc( 35% - 3px);
		}
		.eventkatalog_diagramm .header span.dgm_tag{
			width: calc(13% - 3px);
		}

	/* --- DIAGRAMM --> Content --- */
	.eventkatalog_diagramm .content .dgm_row{
		position: relative;
		float: left;
		margin-bottom: 0;
		padding-left: 16%;
		width: 100%;
	}
		.eventkatalog_diagramm .content .dgm_row[data-kw]:before{
			font-family:"Source Sans Pro", sans-serif;
			font-weight: normal;
			line-height: 28px;
			text-align: center;
			vertical-align: middle;
			position: absolute;
			width: calc(16% - 3px);
			height: calc(100% - 3px);
			top: 3px;
			left: 0;
		}
		.eventkatalog_diagramm .content .dgm_row .dgm_col{
			font-family:"Source Sans Pro", sans-serif;
			text-overflow: ellipsis;
			text-align: center;
			white-space: nowrap;
			vertical-align: middle;
			display: inline-block;
			overflow: hidden;
			margin-right: 3px;
		}
		.eventkatalog_diagramm .content .dgm_row .dgm_date{
			font-weight: normal;
			text-align: center;
			clear: left; 
			width: calc(22.6% - 3px); 
		}
		.eventkatalog_diagramm .content .dgm_row .dgm_empty{
			width: calc(15.48% - 3px);
			background: #ededed ;
		}

	.eventkatalog_diagramm .content .dgm_row [class*='dgm_length_'] { width: calc(16.66% - 3px);}
	.eventkatalog_diagramm .content .dgm_row .dgm_length_1 {width: calc(15.48% - 3px);}
	.eventkatalog_diagramm .content .dgm_row .dgm_length_2 {width: calc(30.9% - 3px);}
	.eventkatalog_diagramm .content .dgm_row .dgm_length_3 {width: calc(46.4% - 3px);}
	.eventkatalog_diagramm .content .dgm_row .dgm_length_4 {width: calc(61.9% - 3px);}
	.eventkatalog_diagramm .content .dgm_row .dgm_length_5 {width: calc(77.4% - 3px);}

	.eventkatalog_diagramm .content .dgm_row [data-type]:before{
		display: inline-block;
		font: normal normal normal 16px/1 FontAwesome;
		margin-right: 5px;
	}


	/* *** LEGENDE *** */
	.eventkatalog_legende .legend_training{
		float: left;
		margin-right: 2px;
		width: calc(50% - 2px);
	}
	.eventkatalog_legende .legend_seminare,
	.eventkatalog_legende .legend_events{
		display: inline-block;
		width: calc(50% - 2px);
	}
	.eventkatalog_legende .legend_webinare{
		width: calc(50% - 2px);
	}
}
